#include "../sound.h"
#include "../music.h"

// Remix of The Journey Begins
// https://opengameart.org/content/the-journey-begins
// by Igor Gundarev released under cc0

const Pattern_frame the_journey_begins_pattern[][8] = {
    //  |-------PULSE---------| |--------WAVE---------| |NOISE|
    //  |------NOTE-----| |VI-| |------NOTE-----| |VI-| |-----|
    {
        {0x10 | note_cis, 0x88, 0x20 | note_cis , 0xF2, 0x85},
        {0xFF           , 0x8F, 0x00            , 0xFF, 0xFF},
        {0xFF           , 0x8F, 0x20 | note_gis , 0xF2, 0xFF},
        {0xFF           , 0x8F, 0x00            , 0xFF, 0xA3},
        {0xFF           , 0x8F, 0x30 | note_cis , 0xF2, 0x85},
        {0xFF           , 0x8F, 0xFF            , 0xFF, 0xFF},
        {0xFF           , 0x8F, 0x20 | note_gis , 0xF2, 0x85},
        {0xFF           , 0x8F, 0xFF            , 0xFF, 0xA3}
    },
    {
        {0x00 | note_gis, 0x88, 0x10 | note_gis , 0xF2, 0xFF},
        {0xFF           , 0x8F, 0x00            , 0xFF, 0xFF},
        {0xFF           , 0x8F, 0x20 | note_dis , 0xF2, 0xFF},
        {0xFF           , 0x8F, 0x00            , 0xFF, 0xFF},
        {0xFF           , 0x8F, 0x20 | note_gis , 0xF2, 0xFF},
        {0xFF           , 0x8F, 0xFF            , 0xFF, 0xFF},
        {0xFF           , 0x8F, 0x20 | note_dis , 0xF2, 0xFF},
        {0xFF           , 0x8F, 0xFF            , 0xFF, 0xFF}
    },
    {
        {0x00 | note_ais, 0x88, 0x10 | note_ais , 0xF2, 0xFF},
        {0xFF           , 0x8F, 0x00            , 0xFF, 0xFF},
        {0xFF           , 0x8F, 0x20 | note_gis , 0xF2, 0xFF},
        {0xFF           , 0x8F, 0x00            , 0xFF, 0xFF},
        {0xFF           , 0x8F, 0x30 | note_cis , 0xF2, 0xFF},
        {0xFF           , 0x8F, 0xFF            , 0xFF, 0xFF},
        {0xFF           , 0x8F, 0x20 | note_gis , 0xF2, 0xFF},
        {0xFF           , 0x8F, 0xFF            , 0xFF, 0xFF}
    }
};

const Song_frame the_journey_begins_arrangement[] = {
//   P  W  N
    {0, 0, 0},
    {0, 0, 0},
    {1, 1, 0},
    {1, 1, 0},
    {2, 0, 0},
    {2, 0, 0},
    {2, 2, 0},
    {2, 2, 0}
};

Song the_journey_begins={8,8,5,
    the_journey_begins_pattern[0],
    the_journey_begins_arrangement
};